@font-face {
  font-family: "Firava";
  font-display: swap;
  font-style: normal;
  font-weight: 100 900;
  src: url("/fonts/firava.woff2") format("woff2");
}

@font-face {
  font-family: "Firava";
  font-display: swap;
  font-style: italic;
  font-weight: 100 900;
  src: url("/fonts/firava-italic.woff2") format("woff2");
}

@font-face {
  font-family: "Iosevka";
  font-display: swap;
  font-style: normal;
  font-weight: 400;
  src: url("/fonts/iosevka.woff2") format("woff2");
}

@font-face {
  font-family: "Iosevka";
  font-display: swap;
  font-style: italic;
  font-weight: 400;
  src: url("/fonts/iosevka-italic.woff2") format("woff2");
}

@font-face {
  font-family: "Iosevka";
  font-display: swap;
  font-style: normal;
  font-weight: 700;
  src: url("/fonts/iosevka-bold.woff2") format("woff2");
}

@font-face {
  font-family: "Iosevka";
  font-display: swap;
  font-style: italic;
  font-weight: 700;
  src: url("/fonts/iosevka-bold-italic.woff2") format("woff2");
}

:root {
  --text: #444444;
}

body {
  background-color: #fff7f7;
  color: var(--text);
  font-family: "Firava", sans-serif;
  font-size: 16px;
  line-height: 1.5;
  margin: 0;
}

a {
  color: #ff5555;
  text-decoration: none;
  text-underline-offset: 4px;
}

strong {
  font-weight: 700;
}

h1>a,
h2>a,
h3>a {
  color: var(--text);
}

h1 {
  font-size: 2.5rem;
  margin-bottom: 0.5rem;
}

h2 {
  font-size: 2rem;
  margin-bottom: 0rem;
  margin-top: 1rem;
}

a:hover {
  text-decoration: underline;
}

::selection {
  background-color: #ffdada;
}

p {
  margin: 0 0 1rem;
}

li > p {
  margin: 0;
}

ul, ol {
  padding-left: 1.5rem;
}

.container {
  margin: 0 1.5rem 4rem;
  max-width: 48rem;

  @media (min-width: 51rem) {
    border: 1px solid #ff9999;
    border-top: 0;
    box-shadow: 1rem 1rem #ffbbbb;
    margin: 0rem auto 4rem;
    padding: 0 1.5rem 1rem;
  }
}

nav {
  border-bottom: 1px solid #ffdada;
  padding: 1rem 0;

  ul {
    display: flex;
    list-style: none;
    margin: 0;
    padding-left: 0;

    li:not(:first-child) {
      margin-left: 2rem;
    }
  }
}

section.footnotes {
  border-top: 1px solid #ffdada;
}

img {
  max-width: 100%;
}

figure {
  margin: auto;
  max-width: 50%;
}

figcaption {
  font-size: 0.8rem;
  font-style: italic;
  text-align: center;
}

pre, code {
  background-color: #ffeeee !important;
  color: #222222;
  font-family: "Iosevka", monospace;
}

pre {
  border-radius: 4px;
  overflow-x: auto;
  padding: 0.75rem;
  white-space: pre;
}

code {
  padding: 1px 3px;
  border-radius: 2px;
}

.buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 8px;
  
  img, a img {
    image-rendering: pixelated;
    width: calc(88px * 2);
    height: calc(31px * 2);
  }
}
